%define mod_name shrunk

Name:           python3-shrunk
Version:        0.5.8
Release:        1%{?dist}
Summary:        Rutgers University URL shortener
Group:          Applications/Internet
License:        MIT
URL:            https://github.com/oss/shrunk
Source0:        https://github.com/oss/%{mod_name}/archive/v%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python34-devel
BuildRequires:  python34-setuptools

Requires:       python34
Requires:       python3-flask
Requires:       python3-flask-sso
Requires:       python3-jinja2
Requires:       python3-wtforms
Requires:       python3-itsdangerous
Requires:       python3-pymongo
Requires:       python3-werkzeug
Requires:       python3-geoip2

%description
The official URL shortener for Rutgers University, shrunk allows users to create
and manage shortened links.

%prep
%setup -n %{mod_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT

%define scripts $RPM_BUILD_DIR/%{mod_name}-%{version}/scripts 

mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m755 %{scripts}/check_mongodb $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/var/www
install -m755 %{scripts}/base.sh $RPM_BUILD_ROOT/var/www
mkdir $RPM_BUILD_ROOT/var/www/chk-mongo-cgi
install -m755 %{scripts}/chk-mongo-cgi/alive $RPM_BUILD_ROOT/var/www/chk-mongo-cgi
install -m755 %{scripts}/chk-mongo-cgi/connections $RPM_BUILD_ROOT/var/www/chk-mongo-cgi
install -m755 %{scripts}/chk-mongo-cgi/memory $RPM_BUILD_ROOT/var/www/chk-mongo-cgi


%pre
if ! [ -f /opt/GeoLite2-City.mmdb ]; then
	curl https://geolite.maxmind.com/download/geoip/database/GeoLite2-City.mmdb.gz | gunzip > /opt/GeoLite2-City.mmdb
fi
#chown root:root /opt/GeoLite2-City.mmdb
#chmod 0644 /opt/GeoLite2-City.mmdb

%postun
if [ $1 -eq 0 ]; then  # don't remove DB if we're just upgrading
	rm -f /opt/GeoLite2-City.mmdb
fi

%files
%defattr(-,root,root)
/usr/bin/check_mongodb
/var/www/base.sh
/var/www/chk-mongo-cgi/alive
/var/www/chk-mongo-cgi/connections
/var/www/chk-mongo-cgi/memory
%doc LICENSE.txt
%{python3_sitelib}/
%{python3_sitelib}/*.egg-info/

%changelog
* Wed Mar 06 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 0.5.8
- Support GeoIP for some Rutgers internal IPs

* Wed Feb 20 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.7-4
- do 3 for real

* Wed Feb 20 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.7-3
- fix base cgi script

* Wed Feb 20 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.7-2
- gunzip max mind db

* Thu Feb 14 2019 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.7-1
- added chk-mongo-cgi for monitoring

* Wed Jan 23 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 0.5.6-2
- Download geoip database when package is installed

* Wed Jan 23 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 0.5.6
- Display user agent and referer pie charts on stats page
- Bug fixes and UX improvements

* Tue Jan 15 2019 Peter Bandziukas <peb60@jla.rutgers.edu> - 0.5.5
- export visit data as CSV
- display geoip data as maps on stats page
- record user agents of visitors

* Mon Nov 05 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.1-2
- refactor to centralize extensions to flask class
- fix link blocking to actually work and not overmatch links
- log links when they get deleted by blocking

* Fri Sep 14 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.1-2
- pull in validation dependency

* Thu Sep 06 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.1
- refactoring to use roles internaly

* Thu Aug 23 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.5.0
- fix aggregations
- add many unit tests
- a bunch of refactoring and qa
- upgrade to mongo 3.6

* Thu Aug 08 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.4.10
- add QR code feature
- add unique visits graph
- fix power users
- show short url in power users edit form

* Fri Jul 20 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.4.10
- session bugfix

* Mon Jul 16 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.4.9
- add power users role

* Mon Jul 09 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.4.8
- search bugfix

* Tue Jul 03 2018 Mickey J Winters <mjw271@nbcs.rutgers.edu> - 0.4.7
- fixed ban list
- ban by regex in config.py
- imporved search

* Thu Mar 29 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.4.6-1
- Version bump

* Thu Feb 22 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.4.5-2
- Fix setup.py

* Thu Feb 22 2018 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.4.5-1
- Version bump

* Mon Aug 17 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.1-1.ru6
- Version bump

* Wed Aug 12 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.0-2.ru6
- Fixing errors with last release

* Tue Aug 11 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.0-1.ru6
- Version bump

* Thu Jul 30 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.3.0-1.ru6
- Version bump

* Tue Jul 21 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.2.0-1.ru6
- Version update for the Jul 23 demo.

* Tue Jul 21 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.6-1.ru6
- Testing the click-to-clipboard feature on shrunk.rutgers.edu

* Tue Jul 02 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.5-1.ru6
- Version bump

* Tue Jun 09 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.4-1.ru6
- Version bump

* Tue Jun 09 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.3-1.ru6
- Version bump

* Thu Jun 04 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.2-1.ru6
- Version bump

* Fri Apr 09 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.1.1-1.ru6
- Upgrade to the latest version
- Add missing python3 package dependencies

* Wed Apr 01 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.1.0-1.ru6
- Initial build for Centos 6 at Rutgers
